API DocumentationAddresses

Get addresses by customer

Retrieves all addresses associated with the specified customer

GET
/api/manufacturer/v1/address/customer/{customerId}
AuthorizationBearer <token>

In: header

Path Parameters

customerIdinteger

ID of the customer to retrieve addresses for

Formatint64

Response Body

curl -X GET "http://m-api-dev.phas.io/api/manufacturer/v1/address/customer/1"
[
  {
    "addressId": 0,
    "isBillingAddress": true,
    "street1": "string",
    "street2": "string",
    "city": "string",
    "state": "string",
    "country": "string",
    "countryAlpha2Code": "string",
    "countryAlpha3Code": "string",
    "jurisdictionIsoCode": "string",
    "zip": "string",
    "name": "string",
    "company": "string",
    "phone": "string",
    "email": "string",
    "residential": true,
    "addressType": "string",
    "isDeleted": true
  }
]

Last updated on